# Get UHybrid Device List - GetUhybridDeviceList

## Overview

Get UHybrid Device List






## Definition

### Public Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Action**     | string  | Corresponding API command name, the current API is `GetUhybridDeviceList`.                      | **Yes** |
| **PublicKey**  | string  | The user's public key can be obtained from [Console](https://console.sigcalcloud.com/uaccount/api_manage)                                             | **Yes** |
| **Signature**  | string  | User signature generated based on public key and API command, see [Signature Algorithm](/docs/api/summary/signature.md)  | **Yes** |

### Request Parameters

| Parameter Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **Region** | string | Region. See [Region and Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **Zone** | string | Availability Zone. See [Availability Zone List](/docs/api/summary/regionlist) |**Yes**|
| **ProjectId** | string | Project ID. Leave blank for the default project, sub-account must be filled in. Please refer to [GetProjectList API](/docs/api/summary/get_project_list) |No|
| **Status.N** | int | Cabinet Status |No|
| **Offset** | int | Starting position offset, default 0 |No|
| **Limit** | int | Return data length, default is 20 |No|

### Response Field

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **RetCode** | int | Return status code. If it is 0, it means successful return. If it is not 0, it means failure. |**Yes**|
| **Action** | string | Operation command name. |**Yes**|
| **Message** | string | Returns an error message, providing detailed description when `RetCode` is non-zero. |No|
| **Data** | array[[*UhybridDevice*](#uhybriddevice)] | Device Resources |No|
| **TotalCount** | int | Device Count |No|

#### Data Model


#### UhybridDevice

| Field Name | Type | Description Information | Required |
|:---|:---|:---|:---|
| **UUID** | string | Device UUID |No|
| **SN** | string | Device SN |No|
| **Alias** | string | Device Alias |No|
| **RackNumber** | string | Cabinet Number |No|
| **RackId** | string | Cabinet UUID |No|
| **Status** | int | Device Status |No|
| **Type** | string | Device Type (server - Server, switch - Network Device) |No|
| **CompanyId** | int | Company ID |No|
| **CompanyName** | string | Company Name |No|
| **OrganizationId** | int | Project ID |No|
| **PhysicalName** | string | Physical Data Center |No|
| **PhysicalNameCN** | string | Physical Data Center Chinese |No|
| **LogicalName** | string | Logical Data Center |No|
| **ShortId** | string | Short Resource ID |No|
| **LongId** | string | Long Resource ID |No|
| **ZoneId** | int | ZoneId |No|
| **ZoneCN** | string | Available Zone Chinese |No|
| **RegionId** | int | Region ID |No|
| **Position** | int | U Position |No|
| **Height** | int | Height |No|
| **Remarks** | string | Remarks |No|
| **UServerZoneId** | int | Zone ID |No|
| **Owner** | int | Ownership: 0-Default, 1-UCloud, 2-Customer |No|

## Example

### Request Example
    
```
https://api.sigcalcloud.com/?Action=GetUhybridDeviceList
&Region=cn-zj
&Zone=cn-zj-01
&ProjectId=ZkBwRKaR
&Status=3
&Offset=6
&Limit=3
```

### Response Example
    
```json
{
  "Action": "GetUhybridDeviceListResponse",
  "Data": [
    {
      "RackId": "oXkummsu",
      "RackNumber": "CONhMaiS",
      "SN": "nqbKbhVr",
      "Status": 2,
      "Type": "essSOKdz",
      "UUID": "RFCNTDfc"
    }
  ],
  "RetCode": 0,
  "TotalCount": 8
}
```





